Summary: The Persistence of Vision(tm) Ray-Tracer
Name: povray
Version: 3.01
Release: 1
Copyright: Custom
Group: Beowulf
Packager: Erik Arjan Hendriks <hendriks@beowulf.org>
Source:  ftp://ftp.povray.org/pub/povray/Official-3.0/Unix/povuni_s.tgz
Source1: ftp://ftp.povray.org/pub/povray/Official-3.0/Unix/povuni_d.tgz
Source2: ftp://ftp.povray.org/pub/povray/Official-3.0/Unix/povdoc.html.tgz
Source3: ftp://ftp.povray.org/pub/povray/Official-3.0/Unix/povdoc.ps.gz
Source4: ftp://ftp.cdrom.com/pub/povray/unofficial/patches-3.0/pvmpov-3.01.tgz
Patch:   pvmpov-makefile-patch
Patch1:  pvmpov-povpvm-patch
Patch2:  pvmpov-tagline-patch
Patch3:  pvmpov-ini-patch
BuildRoot: /tmp/pvmpov

Icon: xpovicon.gif

%description
The Persistence of Vision(tm) Ray-Tracer creates three-dimensional,
photo-realistic images using a rendering technique called ray-tracing. It
reads in a text file containing information describing the objects and
lighting in a scene and generates an image of that scene from the view point
of a camera also described in the text file. Ray-tracing is not a fast
process by any means, but it produces very high quality images with realistic
reflections, shading, perspective and other effects.

This package contains the include files, initialization files and samples
only.  You will have to install one of the povray binary packages to use it.

%package pvm-nox
Summary: The Persistence of Vision(tm) Ray-Tracer - With X11 Support
Group: Beowulf
Requires: pvm, povray

%description pvm-nox
This package contains the Persistence of Vision binary.

%package pvm-X11
Summary: The Persistence of Vision(tm) Ray-Tracer - With X11 Support
Group: Beowulf
Requires: pvm, povray

%description pvm-X11
This package contains the Persistence of Vision binary with X11 support.

%prep
rm -rf povray3
# This tarball has trailing garbage - do it myself to avoid the error.
tar zxf $RPM_SOURCE_DIR/povuni_s.tgz           && exit 0
%setup -b 1 -b 2 -a 4 -n povray3
patch   -p1 -s < pvmpov-3.01.patch
%patch  -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd source/pvm
make -f Makefile.aimk newunix
make -f Makefile.aimk newxwin

%install
rm -rf $RPM_BUILD_ROOT
umask 022
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/povray3

install -m 0755 -s source/pvm/pvmpov      $RPM_BUILD_ROOT/usr/bin
install -m 0755 -s source/pvm/x-pvmpov    $RPM_BUILD_ROOT/usr/bin

install -m 0644 povray.1 $RPM_BUILD_ROOT/usr/man/man1
ln -s povray.1 $RPM_BUILD_ROOT/usr/man/man1/pvmpov.1
ln -s povray.1 $RPM_BUILD_ROOT/usr/man/man1/x-pvmpov.1

for n in docsdemo pov3demo include povscn texsamps
do
    cp -r $n $RPM_BUILD_ROOT/usr/share/povray3
done
# More misc stuff for the /usr/share/povray3 dir...
cp *.ini $RPM_BUILD_ROOT/usr/share/povray3
cp allscene.sh gamma.gif gamma.gif.txt xpovicon.xpm $RPM_BUILD_ROOT/usr/share/povray3

%files
%doc htdocs README.data povlegal.doc
%doc povray.doc povwhere.get revision.doc
/usr/man/man1/povray.1
/usr/share/povray3

%files pvm-nox
%doc README.pvmpov pvmpov.doc
/usr/bin/pvmpov
/usr/man/man1/pvmpov.1

%files pvm-X11
%doc README.pvmpov pvmpov.doc
/usr/bin/x-pvmpov
/usr/man/man1/x-pvmpov.1
